List ResourceGroups
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ResourceGroups
Retrieve a list of ResourceGroup entities
GET
/
organizations
/
{orgId}
/
resourcegroups
/
{type}
List ResourceGroups
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Query Parameters
Number of ResourceGroups to retrieve per page
Required range:
1 <= x <= 100nextToken for multi page retrievals
⌘I